/**
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Timo Weberruß ( timo dot weberruss at student dot kit dot edu )
 * @date       2022
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

#include "GroupShapeGenerator.h"
#include <armarx/navigation/human/types.h>


#pragma once

namespace armarx::navigation::human
{
    /**
     * @brief A GroupShapeGenerator that defines the group shape of a set of humans as the
     * convex hull of their positions in 2D space.
     */
    class ConvexHullGenerator : public GroupShapeGenerator
    {
    public:
        ConvexHullGenerator() = default;
        virtual ~ConvexHullGenerator() = default;

        shapes::Polygon createShape(const HumanGroup& group) const override;
    };
} // namespace armarx::navigation::human
