/**
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Timo Weberruß ( timo dot weberruss at student dot kit dot edu )
 * @date       2022
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

#include "DistanceFunction.h"


namespace armarx::navigation::human
{
    /**
     * @brief The EuclideanDistance class is an implementation of a distance function that computes
     * the literal, euclidean distance between two human. (i.e. sqrt(dx²+dy²)).
     */
    class EuclideanDistance : public DistanceFunction
    {
    public:
        EuclideanDistance() = default;
        double computeDistance(const Human& h1, const Human& h2) const override;
    };
} // namespace armarx::navigation::human
